Bug 208375

Summary: keyboard type keeps changing
Product: [Fedora] Fedora Reporter: William Murray <w.j.murray>
Component: system-config-keyboardAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: mattdm, triage
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-09 20:54:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description William Murray 2006-09-28 03:17:20 EDT
Description of problem:
Keyboard settings unstable. I keep having to go back to 'keyboard' in 'system
administration'

Version-Release number of selected component (if applicable):


How reproducible:
Every day

Steps to Reproduce:
1. Log in
2. Type a @
3.
  
Actual results:
See a "

Expected results:
See a @

Additional info:
I have a UK keyboard. When I check in thhe keybaord setting thing it says
UK - but it types as US.
Comment 1 Matthew Miller 2007-04-06 14:32:22 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 William Murray 2007-04-06 17:04:40 EDT
This is still here, on 2 UK keyboard systems. I log in to 'gnome and X disagree
on keyboard type'
    Maybe I just don't understand the interrelation betweeen them, but it is
VERY annoyimg. Often I end up with the wrong keyboard.
     What detailed info should I post please?
       Bill
Comment 3 Matthew Miller 2007-04-06 21:56:53 EDT
My X config file has this section (for a us keyboard, obviously):

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

What do you have in your /etc/X11/xorg.conf?
Comment 4 William Murray 2007-04-07 06:53:21 EDT
xorg.conf has a section:
   Section "InputDevice"

    # generated from data in "/etc/sysconfig/keyboard"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbLayout" "gb"
        Option      "XkbModel" "pc105"
EndSection

While in "/etc/sysconfig/keyboard" I have:
KEYBOARDTYPE="pc"
KEYTABLE="uk"

  Ah...is it UK & GB getting mixed up?
Comment 5 Matthew Miller 2007-04-07 08:12:15 EDT
Sounds likely. Not sure how that happened, but try changing them to match?
Comment 6 Red Hat Bugzilla 2007-08-21 01:26:57 EDT
User pnasrat@redhat.com's account has been closed
Comment 7 Bug Zapper 2008-04-03 23:52:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 William Murray 2008-04-04 03:05:30 EDT
This computer has died, I cannot reproduce the bug elsewhere. Close i
Comment 9 John Poelstra 2008-04-09 20:54:34 EDT
Thanks for the update.